Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159806 - libvisual - ppc build missing but i386 ASM/MMX failure - FC4
Summary: libvisual - ppc build missing but i386 ASM/MMX failure - FC4
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libvisual
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE4Target
TreeView+ depends on / blocked
 
Reported: 2005-06-08 08:55 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.2.0-6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-11 09:47:59 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2005-06-08 08:55:26 UTC
Meta data based repository check revealed an inconsistency: a powerpc build of
libvisual 0.2.0-3 packages is missing.

Comment 1 Michael Schwendt 2005-06-09 19:01:10 UTC
i386: 0.2.0-3 built successfully on April 7th, but now fails to build on i386 as
0.2.0-3.fc4 (successful on ppc/x86_64):

http://extras64.linux.duke.edu/failed/4/libvisual/0.2.0-3/i386/libvisual-0.2.0-3.failure.log


Comment 3 Michael Schwendt 2005-06-12 09:20:21 UTC
Please see comment #1. Version 0.2.0-3 does not build with gcc-4.0.0-8 on i386,
because one file wants -mmmx or so. Further, powerpc arch only has 0.2.0-2.pcc
not 0.2.0-3.pcc

Comment 4 Michael A. Peters 2005-06-15 10:16:16 UTC
The following patch to libvisual.spec file works for me (I was having exact same
problem with libvisual-plugins)

 %build
+%ifarch i386
+export CFLAGS="${RPM_OPT_FLAGS} -mmmx"
+%endif
 %configure
 make %{?_smp_mflags}


Comment 5 Aurelien Bompard 2005-08-11 09:47:59 UTC
I included the fix, thanks. Version 0.2.0-6 seems to be correctly propagated on
all archs, closing bug.


Note You need to log in before you can comment on or make changes to this bug.